be.cin.nippin.memberdata.saml.extension

## Class Dimension

- java.lang.Object
- - be.cin.nippin.memberdata.saml.extension.Dimension

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-02-09T10:39:19+01:00",
                 comments="JAXB RI v2.3.7")
      public class Dimension
      extends Object
      implements Serializable

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
         <simpleContent>
           <extension base="<http://www.w3.org/2001/XMLSchema>string">
             <attribute name="id" use="required" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
           </extension>
         </simpleContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Dimension()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getId()` Gets the value of the id property.
    `String` | `getValue()` Gets the value of the value property.
    `void` | `setId(String value)` Sets the value of the id property.
    `void` | `setValue(String value)` Sets the value of the value property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Dimension

          public Dimension()

  - ### Method Detail

    - #### getValue

          public String getValue()

      Gets the value of the value property.
      Returns:
        possible object is `String`

    - #### setValue

          public void setValue(String value)

      Sets the value of the value property.
      Parameters:
        `value` - allowed object is `String`

    - #### getId

          public String getId()

      Gets the value of the id property.
      Returns:
        possible object is `String`

    - #### setId

          public void setId(String value)

      Sets the value of the id property.
      Parameters:
        `value` - allowed object is `String`

Connector Package PERSMIDWIFE 4.8.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.